Package org.pushingpixels.flamingo.api.bcb.core

# Class BreadcrumbTreeAdapterSelector.TreeAdapter

java.lang.Object
org.pushingpixels.flamingo.api.bcb.core.BreadcrumbTreeAdapterSelector.TreeAdapter

Enclosing class:
  `BreadcrumbTreeAdapterSelector`

public abstract static class BreadcrumbTreeAdapterSelector.TreeAdapter extends Object
Tree adapter that allows plugging a custom rendering logic.

## Constructor Summary

Constructors
Constructor
Description
`TreeAdapter()`

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getIcon(Object node)`
Returns the icon for the specified tree node.
`abstract String`
`toString(Object node)`
Returns the caption for the specified tree node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeAdapter

public TreeAdapter()

## Method Details

### toString

public abstract String toString(Object node)
Returns the caption for the specified tree node. Note that the extending class must override this method in an EDT-safe fashion.

Parameters:
  `node` - Tree node.
Returns:
  The caption for the specified tree node.

### getIcon

public Icon getIcon(Object node)
Returns the icon for the specified tree node.

Parameters:
  `node` - Tree node.
Returns:
  The icon for the specified tree node.